dlogify docs
API referenceReplay

What a replay of a ticket can show

GET/v1/tickets/{ticket_id}/replay

Requires role member or higher.

The anchor, the window that can be loaded, whether history exists for it, the project's other tickets in reach and the lines stored with the ticket. availability is not_enabled until log history starts, on the date in the Data Retention Policy.

Authorization

AuthorizationBearer <token>

A session token from /v1/auth/sign-in/email (CLI, scripts).

In: header

Path Parameters

ticket_id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/tickets/string/replay" \  -H "Authorization: Bearer $DLOGIFY_SESSION"
{  "anchor": "2019-08-24T14:15:22Z",  "availability": "not_enabled",  "context": {    "after": [      {        "level": "string",        "message": "string",        "ts": "string"      }    ],    "before": [      {        "level": "string",        "message": "string",        "ts": "string"      }    ]  },  "earliest": "2019-08-24T14:15:22Z",  "environment": "string",  "environments": [    "string"  ],  "history_starts_at": "2019-08-24T14:15:22Z",  "latest": "2019-08-24T14:15:22Z",  "other_tickets": [    {      "anchor": "2019-08-24T14:15:22Z",      "id": "string",      "service": "string",      "severity": "critical",      "title": "string"    }  ],  "service": "string"}